unique_copy.hpp File Reference

## Classes

struct | ranges::v3::unique_copy_fn

## Typedefs

template<typename I , typename O , typename C = equal_to, typename P = ident>
using | ranges::v3::UniqueCopyable = meta::strict_and< InputIterator< I >, IndirectRelation< C, projected< I, P > >, WeaklyIncrementable< O >, IndirectlyCopyable< I, O >, meta::strict_or< ForwardIterator< I >, ForwardIterator< O >, IndirectlyCopyableStorable< I, O > >>

## Variables

constexpr with_braced_init_args< unique_copy_fn > | ranges::v3::unique_copy {}